package com.ruoyi.inventory.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.inventory.mapper.TbInventoryDetailMapper;
import com.ruoyi.inventory.domain.TbInventoryDetail;
import com.ruoyi.inventory.service.ITbInventoryDetailService;

/**
 * 资产盘点明细Service业务层处理
 * 
 * @author ydl
 * @date 2023-06-01
 */
@Service
public class TbInventoryDetailServiceImpl implements ITbInventoryDetailService 
{
    @Autowired
    private TbInventoryDetailMapper tbInventoryDetailMapper;

    /**
     * 查询资产盘点明细
     * 
     * @param id 资产盘点明细主键
     * @return 资产盘点明细
     */
    @Override
    public TbInventoryDetail selectTbInventoryDetailById(Long id)
    {
        return tbInventoryDetailMapper.selectTbInventoryDetailById(id);
    }

    /**
     * 查询资产盘点明细列表
     * 
     * @param tbInventoryDetail 资产盘点明细
     * @return 资产盘点明细
     */
    @Override
    public List<TbInventoryDetail> selectTbInventoryDetailList(TbInventoryDetail tbInventoryDetail)
    {
        return tbInventoryDetailMapper.selectTbInventoryDetailList(tbInventoryDetail);
    }

    /**
     * 新增资产盘点明细
     * 
     * @param tbInventoryDetail 资产盘点明细
     * @return 结果
     */
    @Override
    public int insertTbInventoryDetail(TbInventoryDetail tbInventoryDetail)
    {
        return tbInventoryDetailMapper.insertTbInventoryDetail(tbInventoryDetail);
    }

    /**
     * 修改资产盘点明细
     * 
     * @param tbInventoryDetail 资产盘点明细
     * @return 结果
     */
    @Override
    public int updateTbInventoryDetail(TbInventoryDetail tbInventoryDetail)
    {
        return tbInventoryDetailMapper.updateTbInventoryDetail(tbInventoryDetail);
    }

    /**
     * 批量删除资产盘点明细
     * 
     * @param ids 需要删除的资产盘点明细主键
     * @return 结果
     */
    @Override
    public int deleteTbInventoryDetailByIds(Long[] ids)
    {
        return tbInventoryDetailMapper.deleteTbInventoryDetailByIds(ids);
    }

    /**
     * 删除资产盘点明细信息
     * 
     * @param id 资产盘点明细主键
     * @return 结果
     */
    @Override
    public int deleteTbInventoryDetailById(Long id)
    {
        return tbInventoryDetailMapper.deleteTbInventoryDetailById(id);
    }
}
